%global major 2
%global gmajor 1.0
%define libname %mklibname govirt %major
%define girname %mklibname govirt-gir %{gmajor}
%define devname %mklibname govirt -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary: A GObject library for interacting with oVirt REST API
Name: libgovirt
Version: 0.3.9
Release: %mkrel 5
License: LGPLv2+
Group: Development/C
Source0: https://download.gnome.org/sources/libgovirt/%{url_ver}/%{name}-%{version}.tar.xz
Source1: https://download.gnome.org/sources/libgovirt/%{url_ver}/%{name}-%{version}.tar.xz.sig
Source2: etrunko-57E1C130.keyring
Patch1: 0001-Fix-i18n-generation.patch
Patch2: https://gitlab.gnome.org/GNOME/libgovirt/-/commit/bae26c0033d649722b5a3fc48df3adf2172490f1.patch
URL: https://gitlab.gnome.org/GNOME/libgovirt
BuildRequires: meson
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(rest-1.0)
BuildRequires: gettext
#needed for make check
BuildRequires: glib-networking
BuildRequires: dconf
#needed for GPG signature check
BuildRequires: gnupg2

%description
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n %libname
Summary: A GObject library for interacting with oVirt REST API
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n %libname
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n %{girname}
Summary:	GObject introspection interface library for GoVirt
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}govirt2 < 0.3.9-4

%description -n %{girname}
GObject introspection interface library for GoVirt.

%package -n %devname
Summary: Libraries, includes, etc. to compile with the libgovirt library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: govirt-devel = %{version}-%{release}

%description -n %devname
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

Libraries, includes, etc. to compile with the libgovirt library

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
%meson_test || :

%files -f %{name}.lang
%license COPYING
%doc AUTHORS MAINTAINERS README

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GoVirt-1.0.typelib

%files -n %devname
%{_libdir}/%{name}.so
%dir %{_includedir}/govirt-1.0/
%dir %{_includedir}/govirt-1.0/govirt/
%{_includedir}/govirt-1.0/govirt/*.h
%{_libdir}/pkgconfig/govirt-1.0.pc
%{_datadir}/gir-1.0/GoVirt-1.0.gir



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.9-5.mga10
+ Revision: 2215254
- Mageia 10 Mass Rebuild

* Tue Sep 27 2022 wally <wally> 0.3.9-4.mga9
+ Revision: 1892713
- add more provides to devel pkg
- clean unneeded reqs
- add a bit more strict reqs to lib pkg
- split out gir typelib

* Mon Sep 19 2022 tv <tv> 0.3.9-3.mga9
+ Revision: 1890216
- Suppress error 'cast increases required alignment of target type'
- Fix i18n generation
- BR intltool -> gettext
- BR rest-0.7 -> rest-1.0
- Switch to meson
+ ovitters <ovitters>
- new version 0.3.9

* Thu Mar 31 2022 umeabot <umeabot> 0.3.8-2.mga9
+ Revision: 1836199
- Mageia 9 Mass Rebuild

* Thu Mar 25 2021 ovitters <ovitters> 0.3.8-1.mga9
+ Revision: 1710122
- new version 0.3.8

* Mon Mar 02 2020 tv <tv> 0.3.7-1.mga8
+ Revision: 1553106
- 0.3.7

* Sat Feb 15 2020 umeabot <umeabot> 0.3.6-2.mga8
+ Revision: 1527694
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 02 2019 ovitters <ovitters> 0.3.6-1.mga8
+ Revision: 1417737
- remove gpg signature check (upstream stopped providing them)

* Wed Oct 03 2018 pterjan <pterjan> 0.3.4-8.mga7
+ Revision: 1316320
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 0.3.4-7.mga7
+ Revision: 1208695
- imported package libgovirt


* Mon Mar 12 2018 Thierry Vignaud <tv@mageia.org> 0.3.4-7.mga7
- import from FC

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.4-7
- Escape macros in %%changelog

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.4-5
- Switch to %%ldconfig_scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 13 2016 Christophe Fergeau <cfergeau@redhat.com> 0.3.4-1
- Update to libgovirt 0.3.4

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 08 2015 Christophe Fergeau <cfergeau@redhat.com> 0.3.3-1
- Update to upstream release 0.3.3

* Thu Oct 09 2014 Christophe Fergeau <cfergeau@redhat.com> 0.3.2-1
- Update to upstream release 0.3.2

* Wed Sep 03 2014 Christophe Fergeau <cfergeau@redhat.com> 0.3.1-1
- Update to upstream release 0.3.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Aug 02 2014 Richard Jones <rjones@redhat.com> - 0.3.0-6
- Force rebuild for aarch64.

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.3.0-5
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Christophe Fergeau <cfergeau@redhat.com> 0.3.0-3
- Actually apply Patch0 /o\

* Tue Nov 26 2013 Christophe Fergeau <cfergeau@redhat.com> 0.3.0-2
- Add patch to fix a memory corruption issue when librest does not have the
  RestProxy::ssl-ca-file property (which is currently the case in Fedora)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Christophe Fergeau <cfergeau@redhat.com> 0.1.0-1
- Update to upstream release 0.1.0

* Mon Mar 11 2013 Christophe Fergeau <cfergeau@redhat.com> 0.0.3-2
- Removed definition of BuildRoot and cleanup of BuildRoot in %%clean
- Added missing arch to versioned Requires: %%{name} in the -devel package
- Don't include empty NEWS and ChangeLog in built RPM

* Wed Feb 20 2013 Christophe Fergeau <cfergeau@redhat.com> 0.0.3-1
- Initial import of libgovirt 0.0.3


